@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/*COVER*/

.cover {
    width: 100%;
    padding-bottom: 120px;
    font-family: 'Poppins', sans-serif;
    padding-top: 100px;
    position: relative;
    overflow: hidden;
}


/*WAVE INICIO*/

.bg_color {
    width: 100%;
    height: 70%;
    background: #f32121;
    position: absolute;
    top: 0;
}

.wave {
    width: 6000px;
    height: 100%;
    position: absolute;
    top: 150px;
    left: 0;
    background-image: url(../img/wd1.svg);
    background-position: bottom;
}

.w1 {
    animation: w1 7s linear infinite;
}

.w2 {
    animation: w2 7s linear -.125s infinite, desplazamiento 7s ease -.125s infinite;
    opacity: 0.5;
}

@keyframes w1 {
    0% {
        margin-left: 0;
    }
    100% {
        margin-left: -1600px;
    }
}

@keyframes w2 {
    0% {
        margin-left: 0;
    }
    100% {
        margin-left: -1600px;
    }
}

@keyframes desplazamiento {
    0%,
    100% {
        transform: translateY(-25px);
    }
    50% {
        transform: translateY(10px);
    }
}


/*WAVE FINAL*/

.container__cover {
    max-width: 1200px;
    margin: auto;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    position: relative;
    *background-image: url(../images/background-cover.svg);
    background-size: cover;
    background-position: bottom;
}

.cover .container__info {
    max-width: 400px;
    margin-top: 40px;
    z-index: 2;
}

.cover h1 {
    max-width: 400px;
    font-size: 50px;
    font-weight: 900;
    color: rgb(0, 0, 0);
}

.cover h2 {
    font-size: 20px;
    font-weight: 900;
    color: #ffffff;
    margin-top: -30px;
}

.cover p {
    margin-top: 10px;
    color: #fff;
}

.cover input[type="button"] {
    padding: 10px 40px;
    margin-top: 40px;
    font-size: 18px;
    font-weight: 600;
    border: none;
    color: white;
    background: #000000;
    border-radius: 20px;
    box-shadow: 1px 1px 30px -5px #20202049;
    cursor: pointer;
    transition: box-shadow 500ms;
}

.cover input[type="button"]:hover {
    box-shadow: 1px 1px 30px -5px #20202085;
}

.container__vector {
    position: relative;
}

.container__vector img {
    position: absolute;
    bottom: 10px;
    right: 0px;
    width: 600px;
    transition: all 300ms;
    animation: move_vector 6s ease-in-out infinite;
}

@keyframes move_vector {
    0% {
        transform: translateY(10px);
    }
    25% {
        transform: translateY(-10px);
    }
    100% {
        transform: translateY(10px);
    }
}

@media screen and (max-width: 920px) {
    .container__vector img {
        width: 500px;
    }
}

@media screen and (max-width: 760px) {
    .container__nav {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .btn__menu {
        display: flex;
    }
    nav {
        height: 100%;
        position: fixed;
        top: 0;
        right: -180px;
        padding: 0px 40px;
        transition: all 300ms;
    }
    .move_nav {
        right: 0px;
    }
    nav ul {
        flex-direction: column;
    }
    nav ul li {
        margin: 20px 0px;
    }
    .container__vector img {
        transform: scale(0);
        animation: none;
    }
}